## org.apache.cassandra.cli
Class CliClient

    java.lang.Object
      org.apache.cassandra.cli.CliClient

    public class CliClient

extends java.lang.Object

Constructor Summary
`CliClient(CliSessionState css, Cassandra.Client thriftClient)`

Method Summary
`void` `executeCLIStmt(java.lang.String stmt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CliClient

    public CliClient(CliSessionState css,
                     Cassandra.Client thriftClient)

Method Detail

### executeCLIStmt

    public void executeCLIStmt(java.lang.String stmt)
                        throws org.apache.thrift.TException,
                               NotFoundException,
                               InvalidRequestException,
                               UnavailableException,
                               TimedOutException,
                               java.lang.IllegalAccessException,
                               java.lang.ClassNotFoundException,
                               java.lang.InstantiationException

  Throws:
    `org.apache.thrift.TException`
    `NotFoundException`
    `InvalidRequestException`
    `UnavailableException`
    `TimedOutException`
    `java.lang.IllegalAccessException`
    `java.lang.ClassNotFoundException`
    `java.lang.InstantiationException`

Copyright © 2010 The Apache Software Foundation